# pip install "pinecone[grpc]"
from pinecone.grpc import PineconeGRPC as Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.describe_index(name="movie-recommendations")
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
await pc.describeIndex('movie-recommendations');
import io.pinecone.clients.Pinecone;
import org.openapitools.client.model.*;
public class DescribeIndexExample {
public static void main(String[] args) {
Pinecone pc = new Pinecone.Builder("YOURE_API_KEY").build();
IndexModel indexModel = pc.describeIndex("movie-recommendations");
System.out.println(indexModel);
}
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/indexes/movie-recommendations" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2024-04"
{
"name": "movie-recommendations",
"dimension": 1536,
"metric": "cosine",
"host": "movie-recommendations-c01b5b5.svc.us-east1-gcp.pinecone.io",
"status": {
"ready": false,
"state": "Initializing"
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
}
}Indexes
Describe an index
Get a description of an index.
GET
/
indexes
/
{index_name}
# pip install "pinecone[grpc]"
from pinecone.grpc import PineconeGRPC as Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.describe_index(name="movie-recommendations")
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
await pc.describeIndex('movie-recommendations');
import io.pinecone.clients.Pinecone;
import org.openapitools.client.model.*;
public class DescribeIndexExample {
public static void main(String[] args) {
Pinecone pc = new Pinecone.Builder("YOURE_API_KEY").build();
IndexModel indexModel = pc.describeIndex("movie-recommendations");
System.out.println(indexModel);
}
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/indexes/movie-recommendations" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2024-04"
{
"name": "movie-recommendations",
"dimension": 1536,
"metric": "cosine",
"host": "movie-recommendations-c01b5b5.svc.us-east1-gcp.pinecone.io",
"status": {
"ready": false,
"state": "Initializing"
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
}
}# pip install "pinecone[grpc]"
from pinecone.grpc import PineconeGRPC as Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.describe_index(name="movie-recommendations")
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
await pc.describeIndex('movie-recommendations');
import io.pinecone.clients.Pinecone;
import org.openapitools.client.model.*;
public class DescribeIndexExample {
public static void main(String[] args) {
Pinecone pc = new Pinecone.Builder("YOURE_API_KEY").build();
IndexModel indexModel = pc.describeIndex("movie-recommendations");
System.out.println(indexModel);
}
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/indexes/movie-recommendations" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2024-04"
Authorizations
Path Parameters
The name of the index to be described.
Response
Configuration information and deployment status of the index.
The IndexModel describes the configuration and status of a Pinecone index.
The name of the index. Resource name must be 1-45 characters long, start and end with an alphanumeric character, and consist only of lower case alphanumeric characters or '-'.
Required string length:
1 - 45Example:
"example-index"
The dimensions of the vectors to be inserted in the index.
Required range:
1 <= x <= 20000Example:
1536
The distance metric to be used for similarity search. You can use 'euclidean', 'cosine', or 'dotproduct'.
Available options:
cosine, euclidean, dotproduct The URL address where the index is hosted.
Example:
"semantic-search-c01b5b5.svc.us-west1-gcp.pinecone.io"
Show child attributes
Show child attributes
Example:
{
"pod": {
"environment": "us-east-1-aws",
"replicas": 1,
"shards": 1,
"pod_type": "p1.x1",
"pods": 1,
"metadata_config": {
"indexed": ["genre", "title", "imdb_rating"]
}
}
}
Show child attributes
Show child attributes
Example:
{
"ready": true,
"state": "ScalingUpPodSize"
}
Was this page helpful?
⌘I